Skip to main content
POST
/
webhooks-journal
/
subscriptions
/
2026-03
Create Subscription
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": [],
  "objectIds": [
    123
  ],
  "objectTypeId": "<string>",
  "portalId": 123,
  "properties": [
    "<string>"
  ],
  "subscriptionType": "OBJECT"
}
'
{
  "actions": [],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
actions
enum<string>[]
required
Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectIds
integer<int64>[]
required
objectTypeId
string
required
portalId
integer<int64>
required
properties
string[]
required
subscriptionType
enum<string>
default:OBJECT
required
Available options:
OBJECT

Response

successful operation

actions
enum<string>[]
required

A list of actions that trigger the subscription. Possible values include 'CREATE', 'UPDATE', 'DELETE', 'MERGE', 'RESTORE', 'ASSOCIATION_ADDED', 'ASSOCIATION_REMOVED', 'SNAPSHOT', 'APP_INSTALL', 'APP_UNINSTALL', 'ADDED_TO_LIST', 'REMOVED_FROM_LIST', and 'GDPR_DELETE'.

Available options:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
required

The unique identifier for the app associated with the subscription. It is an integer formatted as int64.

createdAt
string<date-time>
required

The date and time when the subscription was created, in ISO 8601 format.

id
integer<int64>
required

The unique identifier for the subscription. It is an integer formatted as int64.

objectTypeId
string
required

The identifier for the object type associated with the subscription. It is a string.

subscriptionType
enum<string>
required

The type of subscription, which can be one of the following: 'OBJECT', 'ASSOCIATION', 'EVENT', 'APP_LIFECYCLE_EVENT', 'LIST_MEMBERSHIP', or 'GDPR_PRIVACY_DELETION'.

Available options:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
required

The date and time when the subscription was last updated, in ISO 8601 format.

actionOverrides
object

An object containing action overrides, where each key is an action and the value is an ActionOverrideRequest object.

associatedObjectTypeIds
string[]

A list of associated object type IDs. Each ID is a string.

createdBy
integer<int64>

The ID of the user who created the subscription. It is an integer formatted as int64.

deletedAt
string<date-time>

The date and time when the subscription was deleted, in ISO 8601 format, if applicable.

listIds
integer<int64>[]

A list of list IDs associated with the subscription. Each ID is an integer formatted as int64.

objectIds
integer<int64>[]

A list of object IDs associated with the subscription. Each ID is an integer formatted as int64.

portalId
integer<int64>

The unique identifier for the portal associated with the subscription. It is an integer formatted as int64.

properties
string[]

A list of property names associated with the subscription. Each property is a string.

Last modified on May 11, 2026